## com.sun.mail.smtp
Class SMTPSSLTransport

    java.lang.Object
      |
      +--javax.mail.Service
            |
            +--javax.mail.Transport
                  |
                  +--com.sun.mail.smtp.SMTPTransport
                        |
                        +--com.sun.mail.smtp.SMTPSSLTransport

public class SMTPSSLTransport
extends SMTPTransport

This class implements the Transport abstract class using SMTP over SSL for message submission and transport.

Fields inherited from class javax.mail.Service
`debug, session, url`

Constructor Summary
`SMTPSSLTransport(Session session, URLName urlname)` Constructor

Methods inherited from class com.sun.mail.smtp.SMTPTransport
`close, connect, finalize, getExtensionParameter, getLastServerResponse, getLocalHost, getReportSuccess, getSASLRealm, getStartTLS, isConnected, protocolConnect, sendMessage, setLocalHost, setReportSuccess, setSASLRealm, setStartTLS, supportsExtension`

Methods inherited from class javax.mail.Transport
`addTransportListener, notifyTransportListeners, removeTransportListener, send, send`

Methods inherited from class javax.mail.Service
`addConnectionListener, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SMTPSSLTransport

    public SMTPSSLTransport(Session session,
                            URLName urlname)

  Constructor